Subject: [mpowr] SUMMARY: Give WG chairs authority to block documents?

From: Margaret Wasserman <[email-masked]>
Date: Fri, 09 Jan 2004 17:17:01 -0500

This message summarizes the third sub-discussion that we had
under the heading of the MPOWR WG Proposal:

(3) Should WG chairs have the authority to block documents
due to low technical quality, insufficient review, etc.?

This discussion took place under the MPOWR WG Proposal subject
and also under the subject "Quality Control and that nasty
A word".

This discussion grew out of the discussion (mentioned in
earlier summaries) about the distinction between shifting more
responsibility to WG chairs and shifting more authority to
WG chairs.

In particular, Pete Resnick thought that he heard many people
at the plenary say that giving WG chairs "the authority to say
no" was a really bad idea.

In response, Dave Crocker indicated that the focus on authority
is misplaced.  What we really need to do is foster more
collaboration.

James Kempf pointed out that if we want chairs to be responsible
for making sure that documents are well-reviewed and that the
review comments are addressed, we will need to give them the
authority to hold documents until these criteria are met.

Pete Resnick stated his opinion that chairs don't need more
authority to hold document in this case, and offered a definition
of consensus that would allow WG chairs to hold these documents
except in cases where the WG has specifically considered these
questions and does believe that sufficient review has been
obtained and the issues addressed.  James disagreed that
chairs have this authority under the existing BCPs.

A discussion ensued, the conclusion of which is that, although
WG chairs have broad authority to define and determine cosensus,
only ADs currently have the authority to hold a document
because the document has technical problems or design flaws.

Dave Crocker pointed out that this is correct and appropriate.
The WG chair should never be able to overrule WG consensus.

James Kempf commented that, in order for an early review system
to be effective, the comments need to be binding.  In other
words, WGs need to be required to address them.  James used
the analogy of a QA department in a software company.

Pete Resnick pointed out that the IETF is a open, consensus-
driven organization and that this type of organization inherently
gives more responsibility to its leaders than authority.  Some
discussion ensued about whether the IETF actually is a hierarchy
or not...

Dave Crocker pointed out that in the IETF, the troops really
are in charge.  Working groups have inherent power, whereas
WG chairs and ADs only have derived power.  He later pointed
out that explicitly assigning authority to one agent implies
that the other agents do not have the responsibility.  In other
words, if we may WG chairs responsible for document quality,
that implies that the WGs are not responsible for quality.

In response, Alex Rousskov started a thread with the subject
"Troops vs.Superpower" which discussed the relative authority of
the IESG vs. WGs.  This eventually led to Alex Conta and Robert
Snively making a suggestion to move all technical authority out
of the IESG.  Alex Rousskov, James Kempf and Pekka Savola
disagreed, citing a lack of people willing to do completely
non-technical IETF work.  Robert Snively suggested that this
could be addressed by making the IESG a paid secretariat
function.

One useful take-away from this portion of the conversation
is that it is important, as we discuss making changes to
the responsibility/authority of different positions, to be
mindful of what motivates people to participate in the
IETF at each level.

Alex Conta pointed that having WG chairs be involved in
the technical work of a WG can present a conflict of
interest.  Pekka Savola pointed out that this is often
addressed by having more than one WG chair, so that no one
has to serve in the chair role for his own document.  There
was some further discussion about how/if WG chairs should
be involved in the technical work of their WGs.

Conclusions:

I was unable to draw any firm conclusions from this portion
of the discussion, except that it is clear that we do not
have consensus among those involved in this discussion about
either:

(1) What level authority WG chairs currently have to block
documents based on quality criteria.

-or-

(2) What level authority WG chairs should have to block
documents based on quality criteria.

_______________________________________________
mpowr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpowr

---

From: "James Kempf" <[email-masked]>
Date: Fri, 9 Jan 2004 15:23:22 -0800

Margaret,

This is a good summary of part of the discussion. However, I think the
discussion has gone beyond what you've summarized, to include the entire
quality control process.

My own thinking on this has evolved in conversations with Pete, Dave, and
both Alexes. I now agree with the contention that WG chairs should not have
authority to block documents because spotting quality problems often
requires a bit of distance from the technical work. Thus chairs are unlikely
to have enough perspective to spot serious cross-area problems. The
situation with software QA is analgous. However, there does need to be some
kind relief from cross area review for the bulk of documents that the IESG
now does and which are fairly routine.

My understanding of where the discussion (which may have moved to the
solutions list) was at is that a review board like SIRS or ARTS would do
most of the reviews, and the IESG would only become involved if there was a
dispute or if the technology under development was new or resulted in a deep
change in existing technology. The WG would thus have primary responsibility
to resolve quality issues identified by the review board, with the chairs
co-ordinating, and most documents would be published without the whole IESG
becoming involved. In case of a dispute, the IESG would arbitrate between
the reviewers and the Working Group, and the document would be published
when the disupte is resolved to the satisfaction of the IESG (just as now).
In cases where the IESG chooses to do a review, the process would look
exactly as now, except the WG chair would be expected to co-ordinate more
actively during the phase in which quality issues identified in the IESG
review are resolved as was identified in your previous SUMMARY email. In
addition, reviews would be required earlier, to catch quality problems
before they propagate and require extensive rework, and ADs would be
expected to use reviews as a way of catching WGs that are drifting or not
making progress to help get them back on track, or terminate them if
attempts to help are not successful, more proactively than is currently the
case.

In summary, I think the discussion has uncovered how to reform the quality
control process in a way that would preserve the principles of community
based decision making and maintain the fairly strict vetting function that
we have today, but also offload the bulk of the review process from the IESG
to reduce their workload, rather than just the question of whether to give
WG chairs authority to block drafts.

Right now, I'm trying to write up my understanding of the group discussion
(also taking some points from the ART and SIRS drafts) in a draft which I
hope to have done shortly.

            jak

---

From: Alex Rousskov <[email-masked]>
Date: Fri, 9 Jan 2004 16:38:29 -0700 (MST)

-- was: Re: [mpowr] SUMMARY:  Give WG chairs authority to block
   documents?

On Fri, 9 Jan 2004, James Kempf wrote:

> This is a good summary of part of the discussion. However, I think
> the discussion has gone beyond what you've summarized, to include
> the entire quality control process.

I agree. One more case in point why these
soon-to-be-forced-into-existence working groups and IESG teams are too
narrow and too interdependent to make useful work without bumping into
each other.

> My understanding of where the discussion (which may have moved to
> the solutions list) was at is that a review board like SIRS or ARTS
> would do most of the reviews, and the IESG would only become
> involved if there was a dispute or if the technology under
> development was new or resulted in a deep change in existing
> technology. The WG would thus have primary responsibility to resolve
> quality issues identified by the review board, with the chairs
> co-ordinating, and most documents would be published without the
> whole IESG becoming involved. In case of a dispute, the IESG would
> arbitrate between the reviewers and the Working Group, and the
> document would be published when the disupte is resolved to the
> satisfaction of the IESG (just as now).

I agree with the above.

> In cases where the IESG chooses to do a review, the process would
> look exactly as now, except the WG chair would be expected to
> co-ordinate more actively during the phase in which quality issues
> identified in the IESG review are resolved as was identified in your
> previous SUMMARY email.

I am not sure that "exactly as now" is the consensus here. Some may
want to see changes to the current IESG review procedure, going beyond
"WG would be expected to do more co-ordination" polishing.

> Right now, I'm trying to write up my understanding of the group
> discussion (also taking some points from the ART and SIRS drafts) in
> a draft which I hope to have done shortly.

Great! I hope you post your draft for discussion on Solutions rather
MPOWR, ICAR, and/or PROTO. ;-)

Alex.

---

From: Margaret Wasserman <[email-masked]>
Date: Fri, 09 Jan 2004 20:24:51 -0500

Hi James,

>discussion has gone beyond what you've summarized, to include the entire

I understand that there are related discussions taking place on
the 'solutions' list...  I'm reading them, in fact.  But, I tried
to restrict my summary to discussions that actually took place on
this list...

Harald is responsible for the 'solutions' list, so he should
(draft someone to) summarize the discussion there if he believes
it would be useful to do so.

>hope to have done shortly.

That's great.  I'd like to see a proposal.

I have some concerns about the changes that are being proposed on the
'solutions' list, but the proposal is moving fast enough that it is hard
to do any real analysis of the ideas.

Margaret